Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359626 - [virtio-win][netkvm][whql] job"Ethernet-NDISTest 6.0" failed on win2008-32/64
Summary: [virtio-win][netkvm][whql] job"Ethernet-NDISTest 6.0" failed on win2008-32/64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Yan Vugenfirer
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 07:34 UTC by Yu Wang
Modified: 2017-01-06 07:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 07:01:03 UTC


Attachments (Terms of Use)
wlk_log_win200832 (deleted)
2016-07-25 07:34 UTC, Yu Wang
no flags Details

Description Yu Wang 2016-07-25 07:34:43 UTC
Created attachment 1183604 [details]
wlk_log_win200832

Description of problem:
job"Ethernet-NDISTest 6.0" failed on win2008-32/64

Version-Release number of selected component (if applicable):
virtio-win-prewhql-122

How reproducible:
100%

Steps to Reproduce:
1.boot with virtio-1.0 device
Client:
/usr/libexec/qemu-kvm -name 122NIC200832CVG -enable-kvm -m 4G -smp 4 -uuid 6ea9b742-6a58-46ec-81b1-4e37b6a20e3f -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/122NIC200832CVG,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=122NIC200832CVG,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2008_datacenter_enterprise_standard_sp2_x86_dvd_342333.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=122NIC200832CVG.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:10:07:ad:30,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1,vhost=on,queues=4 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:23:54:8f:7a,bus=pci.0,mq=on,vectors=10,disable-legacy=on,disable-modern=off -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet2,vhost=on,queues=4 -device virtio-net-pci,netdev=hostnet2,id=net2,mac=00:52:69:2e:24:09,bus=pci.0,mq=on,vectors=10,disable-legacy=on,disable-modern=off -monitor stdio

Support:
/usr/libexec/qemu-kvm -name 122NIC200832SVG -enable-kvm -m 4G -smp 4 -uuid f6bfcc8e-5a58-4a39-b0fa-fca88a3de83b -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/122NIC200832SVG,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=122NIC200832SVG,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2008_datacenter_enterprise_standard_sp2_x86_dvd_342333.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=122NIC200832SVG.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:31:69:09:13,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:1 -vga cirrus -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1,vhost=on,queues=4 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:73:38:13:61,bus=pci.0,mq=on,vectors=10,disable-legacy=on,disable-modern=off -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet2,vhost=on,queues=4 -device virtio-net-pci,netdev=hostnet2,id=net2,mac=00:52:3a:34:98:c2,bus=pci.0,mq=on,vectors=10,disable-legacy=on,disable-modern=off


2. submit job "Ethernet-NDISTest 6.0" 
3.

Actual results:
failed as "The RSS registry keyword was present but we failed the capabilities query. The keyword should not be present if RSS is not supported"

Expected results:
Pass

Additional info:

1 it can pass with build 117, so it is a regression.

Comment 1 Yu Wang 2016-07-25 07:36:52 UTC
Hi Yan,

According to the error, if rss is supported on our driver?

Thanks
Yu Wang

Comment 2 Yan Vugenfirer 2016-07-25 07:50:18 UTC
This is a regression bug. We shouldn't report RSS for Windows 2008.

Comment 5 Yu Wang 2016-08-04 23:43:30 UTC
Hi,

Retest this job w/ build 125 on win2008-64, it could pass successfully, so this bug has been fixed.

Thanks
Yu Wang

Comment 6 lijin 2016-08-05 01:18:27 UTC
change status to verified according to comment#5

Comment 7 lijin 2017-01-06 07:01:03 UTC
close as this issue has already been fixed in rhel7.3 virtio-win package


Note You need to log in before you can comment on or make changes to this bug.